package net.launchpad.vide.launcher.ui;

import org.eclipse.debug.ui.ILaunchShortcut;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;

public class FlowchartLaunchShortcut implements ILaunchShortcut {

	@Override
	public void launch(ISelection selection, String mode) {
		if (selection instanceof IStructuredSelection) {
	         Object[] array = ((IStructuredSelection)selection).toArray();
	         for (Object i: array){
	        	 System.out.println(i.toString());
	         }
	        } 

	}

	@Override
	public void launch(IEditorPart editor, String mode) {
		IEditorInput input = editor.getEditorInput();
		System.out.println(input.getImageDescriptor());
		System.out.println(input.getName());
		System.out.println(input.toString());
	}

}
